
from machine import I2C, Pin 
import ssd1306

# ESP32 reset pin for display must be 1 - this is pin16 
# should be done in ssd1306.py - if not uncommend the next 2 lines
#pin16 = Pin(16, Pin.OUT)
#pin16.value(1)


# Pins according the schematic https://heltec.org/project/wifi-kit-32/
i2c = I2C(-1, scl=Pin(15), sda=Pin(4))

#display size
oled_width = 128
oled_height = 64
oled = ssd1306.SSD1306_I2C(oled_width, oled_height, i2c)

#test text
oled.text('Hello, World', 0, 0)
oled.text('some more text!?', 0, 10)
oled.text('...even more :-)', 0, 20)

#show is required - otherwise you will not see it
oled.show()


